Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface ResourceService

    public interface ResourceService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<IpResourceNet>` | `freeIpResourceNetList​(java.util.Collection<java.lang.Integer> ipResourceCategoryIds, java.util.Collection<java.lang.Integer> ipResourceIds, java.util.Date dateFrom, java.util.Date dateTo, int mask, int max, java.lang.String filter)` |
  `java.util.List<IpResourceRange>` | `freeIpResourceRangeList​(java.util.Collection<java.lang.Integer> ipResourceCategoryIds, java.util.Collection<java.lang.Integer> ipResourceIds, java.util.Date dateFrom, java.util.Date dateTo, int range, int max, java.lang.String filter)` |
  `java.lang.Integer` | `freeVlan​(java.util.Set<java.lang.Integer> vlanResourceCategoryIds, java.util.Date dateFrom, java.util.Date dateTo)` |
  `void` | `ipCategoryDelete​(int id)` |
  `java.util.List<IpCategory>` | `ipCategoryList()` |
  `IpCategory` | `ipCategoryRoot()` |
  `int` | `ipCategoryUpdate​(IpCategory category)` |
  `void` | `ipResourceDelete​(int id, boolean skipSubscriptionCheck)` |
  `IpResource` | `ipResourceGet​(int id)` |
  `java.util.List<IpResource>` | `ipResourceList​(java.util.Collection<java.lang.Integer> categoryIds)` |
  `IpResourceSubscription` | `ipResourceSubscribe​(int subscriberId, java.lang.String subscriberTitle, java.util.Collection<java.lang.Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, java.util.Date dateFrom, java.util.Date dateTo)` |
  `void` | `ipResourceUnsubscribe​(int subscriberId, int ipResourceSubscriptionId, byte[] addressFrom, byte[] addressTo)` |
  `int` | `ipResourceUpdate​(IpResource resource, boolean skipSubscriptionCheck)` |
  `Result<IpResourceSubscription>` | `ipSubscriptionList​(int ipResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page)` |
  `java.lang.Integer` | `nextFreeVlan​(int vlanResourceCategoryId, int deviceId, java.util.Date dateFrom, java.util.Date dateTo)` | Deprecated.
  `void` | `vlanCategoryDelete​(int id)` |
  `VlanCategory` | `vlanCategoryRoot()` |
  `int` | `vlanCategoryUpdate​(VlanCategory category)` |
  `void` | `vlanResourceDelete​(int id)` |
  `VlanResource` | `vlanResourceGet​(int id)` |
  `java.util.List<VlanResource>` | `vlanResourceList​(int categoryId)` |
  `boolean` | `vlanResourceSubscribe​(int vlan, short subscriberType, int subscriberId, java.lang.String subscriberTitle, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> vlanResourceCategoryIds, boolean isVlanPersonal)` | Подписка на VLAN
  `void` | `vlanResourceUnsubscribe​(int subscriberId)` | Deprecated.
  `void` | `vlanResourceUnsubscribe​(short subscriberType, int subscriberId)` | Отмена подписки на VLAN
  `int` | `vlanResourceUpdate​(VlanResource vlan)` |
  `Result<VlanResourceSubscription>` | `vlanSubscriptionList​(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page)` |
  `java.util.List<VlanResourceSubscription>` | `vlanSubscriptionList1​(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo)` |

- ## Method Details

  - ### vlanResourceList

    java.util.List<VlanResource> vlanResourceList​(int categoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceGet

    VlanResource vlanResourceGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceUpdate

    int vlanResourceUpdate​(VlanResource vlan) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceDelete

    void vlanResourceDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### nextFreeVlan

    @Deprecated java.lang.Integer nextFreeVlan​(int vlanResourceCategoryId, int deviceId, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### freeVlan

    java.lang.Integer freeVlan​(java.util.Set<java.lang.Integer> vlanResourceCategoryIds, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceSubscribe

    boolean vlanResourceSubscribe​(int vlan, short subscriberType, int subscriberId, java.lang.String subscriberTitle, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> vlanResourceCategoryIds, boolean isVlanPersonal) throws ru.bitel.bgbilling.common.BGException
    Подписка на VLAN
    Parameters:
      `vlan` - VLAN
      `subscriberType` - тип подсписчика, 0 - договор, 1 - аккаунт, 2 - устройство
      `subscriberId` - ID подписчика
      `subscriberTitle` - название подписчика
      `dateFrom` -
      `dateTo` -
      `vlanResourceCategoryIds` -
      `isVlanPersonal` - проверять (true) или нет, что VLAN уже занят
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceUnsubscribe

    @Deprecated @RequestWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.VlanResourceUnsubscribeOldRequest") @ResponseWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.VlanResourceUnsubscribeOldResponse") void vlanResourceUnsubscribe​(int subscriberId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanResourceUnsubscribe

    void vlanResourceUnsubscribe​(short subscriberType, int subscriberId) throws ru.bitel.bgbilling.common.BGException
    Отмена подписки на VLAN
    Parameters:
      `subscriberType` - тип подписчика, 0 - договор, 1 - аккаунт(сервис), 2 - устройство
      `subscriberId` - ID подписчика
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanSubscriptionList1

    java.util.List<VlanResourceSubscription> vlanSubscriptionList1​(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanSubscriptionList

    Result<VlanResourceSubscription> vlanSubscriptionList​(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanCategoryRoot

    VlanCategory vlanCategoryRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanCategoryUpdate

    int vlanCategoryUpdate​(VlanCategory category) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### vlanCategoryDelete

    void vlanCategoryDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipCategoryRoot

    IpCategory ipCategoryRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipCategoryList

    java.util.List<IpCategory> ipCategoryList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceList

    java.util.List<IpResource> ipResourceList​(java.util.Collection<java.lang.Integer> categoryIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceGet

    IpResource ipResourceGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### ipCategoryUpdate

    int ipCategoryUpdate​(IpCategory category) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipCategoryDelete

    void ipCategoryDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceUpdate

    int ipResourceUpdate​(IpResource resource, boolean skipSubscriptionCheck) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceDelete

    void ipResourceDelete​(int id, boolean skipSubscriptionCheck) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### freeIpResourceRangeList

    java.util.List<IpResourceRange> freeIpResourceRangeList​(java.util.Collection<java.lang.Integer> ipResourceCategoryIds, java.util.Collection<java.lang.Integer> ipResourceIds, java.util.Date dateFrom, java.util.Date dateTo, int range, int max, java.lang.String filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### freeIpResourceNetList

    java.util.List<IpResourceNet> freeIpResourceNetList​(java.util.Collection<java.lang.Integer> ipResourceCategoryIds, java.util.Collection<java.lang.Integer> ipResourceIds, java.util.Date dateFrom, java.util.Date dateTo, int mask, int max, java.lang.String filter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceSubscribe

    IpResourceSubscription ipResourceSubscribe​(int subscriberId, java.lang.String subscriberTitle, java.util.Collection<java.lang.Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipResourceUnsubscribe

    void ipResourceUnsubscribe​(int subscriberId, int ipResourceSubscriptionId, byte[] addressFrom, byte[] addressTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### ipSubscriptionList

    Result<IpResourceSubscription> ipSubscriptionList​(int ipResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`